import { defineConfig } from 'astro/config';
import tailwind from "@astrojs/tailwind";
import react from "@astrojs/react";
import node from "@astrojs/node";

import mdx from "@astrojs/mdx";

// https://astro.build/config
export default defineConfig({
  // base: '/wings',
  integrations: [/*tailwind(),*/ react(), mdx()],
  image: {
    // domains: ['wings.msn.to'],
    remotePatterns: [{
      protocol: 'https',
      hostname: '**.wings.msn.to'
    }]
  },
  // prefetch: true,
  // prefetch: {
  //   prefetchAll: true,
  //   defaultStrategy: 'viewport'
  // },
  redirects: {
    '/old': '/new',
    // '/part5/articles/[year]-[month]': '/part5/articles/[year]/[month]'
  },
  output: "hybrid",
  adapter: node({
    mode: "standalone"
  })
});
