import { PrismaClient } from '@prisma/client';

const prisma = new PrismaClient()

async function main() {
  await prisma.books.createMany({
    data: [
      {
        isbn: '978-4-7981-8055-7',
        title: '独習ASP.NET Core',
        price: 4290,
        publisher: '翔泳社',
        published: new Date('2024-07-16')
      },
      {
        isbn: '978-4-297-14244-5',
        title: 'C#ポケットリファレンス',
        price: 3520,
        publisher: '技術評論社',
        published: new Date('2024-06-21')
      },
      {
        isbn: '978-4-7981-8094-6',
        title: '独習Java 第6版',
        price: 3278,
        publisher: '翔泳社',
        published: new Date('2024-02-15')
      },
      {
        isbn: '978-4-297-13919-3',
        title: '3ステップでMySQL入門',
        price: 2860,
        publisher: '技術評論社',
        published: new Date('2024-01-25')
      },
      {
        isbn: '978-4-8156-1948-0',
        title: 'これからはじめるReact実践入門',
        price: 4400,
        publisher: 'SBクリエイティブ',
        published: new Date('2023-09-28')
      },
      {
        isbn: '978-4-296-07070-1',
        title: '作って学べるHTML＋JavaScript',
        price: 2420,
        publisher: '日経BP',
        published: new Date('2023-07-06')
      },
      {
        isbn: '978-4-627-85711-7',
        title: 'Pythonでできる! 株価データ分析',
        price: 2970,
        publisher: '森北出版',
        published: new Date('2023-01-21')
      },
      {
        isbn: '978-4-297-13062-6',
        title: 'Rails 7ポケットリファレンス',
        price: 2420,
        publisher: '日経BP',
        published: new Date('2023-10-20')
      },
    ]
  });
}

main()
  .then(async () => {
    await prisma.$disconnect();
  })
  .catch(async (e) => {
    console.error(e);
    await prisma.$disconnect();
    process.exit(1);
  });
