import { prisma } from '@assets/prisma';
import type { APIContext } from 'astro';

export const prerender = false;

// export async function getStaticPaths() {
//   return [1000, 2000, 3000].map(value => ({
//     params: { price: value }
//   }));
// }

export async function GET ({ params, request }: APIContext) {
  const { price } = params;
  const query = new URL(request.url).searchParams.get('order') ?? 'price';

  const books = await prisma.books.findMany({
    where: { price: { lte: Number(price) } },
    orderBy: { [query] : 'desc' },
  });

  return new Response(
    JSON.stringify(books),
    {
      headers: {
        'content-type': 'application/json'
      }
    }
  );
}
